API Documentation

Everything you need to integrate our proxy service

Authentication

All API requests require an API Key in the HTTP header for authentication. API Keys can be created in the dashboard, each with configurable permission scopes.

Keep your API Key secure

Never expose your API Key in public repositories or client-side code.

Request Format

HTTP Header
X-API-Key: YOUR_API_KEY

Example Request

bash
curl -X GET "https://saiboproxy.com/api/v1/account/info" \
     -H "X-API-Key: YOUR_API_KEY"

Permission Scopes

ScopeDescription
proxy:generateGenerate dynamic proxy addresses
usage:readRead account info and sync data
whitelist:readRead whitelist IPs
whitelist:manageAdd/remove whitelist IPs
sub_accounts:readRead sub-account information
sub_accounts:manageCreate/modify/delete sub-accounts
static_proxy:readRead static proxy areas, orders, IPs
static_proxy:manageCreate orders, renew IPs

Response Format

All endpoints return a unified JSON format. code=0 means success, non-zero means error.

json
{
  "code": 0,
  "message": "成功",
  "data": { ... }
}

API Base URL

URL
https://saiboproxy.com